Subject: Re: [EN] NNCP 7.7.0 release announcement

From: John Goerzen <[email-masked]>
Date: Sat, 11 Sep 2021 17:01:31 -0500

On Sat, Sep 11 2021, Sergey Matveev wrote:

> *** John Goerzen [2021-09-11 16:13]:
>>Unfortunately, so far on Linux, I'm not seeing any change in the 
>>pattern for
>>nncp-call(er) while connected.  I'm happy to debug this if I can 
>>be of help.
>
> I did not notice CPU usage drop too on my FreeBSD system. 
> However it
> should not list directory all the time -- so should be better on 
> spools
> with huge number of files. I just use fsnotify library -- all 
> kqueue (or
> inotify) work is done in it.

Hi Sergey,

OK, yes, you are right.  I'm not seeing those scans in my straces 
anymore.  Nice!

I am still seeing a lot of nanosleep(), futex(), and 
reading/writing down a pipe.  I'm not sure if this is something to 
do with Go's channels or something?  (Just a guess)

- John